mothur

Chimera.vsearch Unable to open /isg/shared/apps/mothur/1.43.0/vsearch

I was trying to do chimera removal using chimera.vsearch command with mothur 1.43.0.

Here were my command and the error message
mothur > chimera.vsearch(fasta=current, count=current, dereplicate=t)
Using Twins.trim.contigs.good.unique.good.filter.precluster.count_table as input file for the count parameter.
Using Twins.trim.contigs.good.unique.good.filter.precluster.fasta as input file for the fasta parameter.

Using 32 processors.
Unable to open /isg/shared/apps/mothur/1.43.0/vsearch. Trying default /isg/shared/apps/mothur/1.43.0/vsearch.
Unable to open /isg/shared/apps/mothur/1.43.0/vsearch. Trying mothur’s executable location /isg/shared/apps/mothur/1.43.0/vsearch.
Unable to open /isg/shared/apps/mothur/1.43.0/vsearch.
/isg/shared/apps/mothur/1.43.0/vsearch file does not exist. Checking path…
[ERROR]: vsearch file does not exist. mothur requires the vsearch executable.
[ERROR]: did not complete chimera.vsearch.

I would appreciate any help on how to overcome this problem.

Thank you.

Jie

Hi Jie

Mothur is not finding the vsearch module. Did you install mothur yourself? What system are you running it on?

Leo

Hi Leo,
I was using the mothur 1.43.0 which was available in our cluster system. I have never met with this problem when I was using 1.42 versions. Should I switch back to 1.42

I submit a bash,

module load mothur/1.43.0

mothur "#make.contigs(file=Twins.file,processors=32);summary.seqs…chimera.vsearch(fasta=current, count=current, dereplicate=t)

Like this

Thank you.
Jie

You might want to contact the admin of the server - they might have updated mothur to the 1.43 but forgot to do the same or moved away the auxiliary executables?

I use also the 1.43 with slurm (that for your commands I think is what you are using) and never had a problem with that.

Leo

Hi Leo,
Thank you for the update.
I will let our admin know.
Best wishes.
Jie

@westcott we tried recompiling 1.43.0. Here’s what the server admin said.

good morning. trying to look into mothur again. It appears that there are issues with the 1.43.0 version. The binary version, which it is claimed includes vsearch, you said vsearch didn't work. When downloading the source code to compile locally, the source code tarball does not include the bootstrap.sh script referenced in the installation instructions. Nor is there any sign of a bootstrap.sh file in the mothur github repository.

Thanks for reaching out, let me clarify.

  1. The bootstrap.sh script is part of the boost library installation. https://www.boost.org/doc/libs/1_66_0/more/getting_started/unix-variants.html. Alternatively, you can install boost with yum or apt-get. ie. “sudo apt-get install libboost-all-dev” The boost libraries are statically compiled with the executable version of mothur if you would prefer not to build and install it.

  2. “The binary version, which it is claimed includes vsearch, you said vsearch didn’t work.” Is the vsearch binary that’s included with mothur’s binary in the same location as mothur binary? What is the vsearch error you are getting with mothur’s executable?

  3. The chimera.vsearch command includes the vsearch parameter. The vsearch parameter allows you to indicate the vsearch programs location during execution. For example: chimera.vsearch(fasta=yourFastaFile, count=yourCounttable, dereplicate=t, vsearch=/usr/local/bin/vsearch).

Kindly,
Sarah

Thanks Sarah, I’ll pass this on to our server people. @chjicu I’ll let you know when we have a functioning vsearch.

Hi @westcott do I want HDF5 support? (server admin is recompiling today)

sorry never mind, I realized you told me about that in another thread.

edit 15/1
we finally got it working. @westcott can you add instructions for which version of vsearch is required to the install.md in the source code?

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.